BitMagic-C++: bm::bvector< Alloc >::iterator_base::bitblock_descr Struct Reference

BitMagic-C++

Data Fields
bm::bvector< Alloc >::iterator_base::bitblock_descr Struct Reference

Bit-block descriptor. More...

`#include <bm.h>`

## Data Fields
const bm::word_t * | ptr
| Word pointer. More...
unsigned char | bits [set_bitscan_wave_size *32]
| bit list More...
unsigned short | idx
| Current position in the bit list. More...
unsigned short | cnt
| Number of ON bits. More...
size_type | pos
| Last bit position decode before. More...

## Detailed Description

### template<class Alloc>
struct bm::bvector< Alloc >::iterator_base::bitblock_descr

Bit-block descriptor.

Definition at line 327 of file bm.h.

## Field Documentation

## ◆ bits

template<class Alloc >

unsigned char bm::bvector< Alloc >::iterator_base::bitblock_descr::bits[set_bitscan_wave_size *32]

bit list

Definition at line 330 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

## ◆ cnt

template<class Alloc >

unsigned short bm::bvector< Alloc >::iterator_base::bitblock_descr::cnt

Number of ON bits.

Definition at line 332 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), and bm::bvector< Alloc >::enumerator::go_to().

## ◆ idx

template<class Alloc >

unsigned short bm::bvector< Alloc >::iterator_base::bitblock_descr::idx

Current position in the bit list.

Definition at line 331 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

## ◆ pos

template<class Alloc >

size_type bm::bvector< Alloc >::iterator_base::bitblock_descr::pos

Last bit position decode before.

Definition at line 333 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

## ◆ ptr

template<class Alloc >

const bm::word_t* bm::bvector< Alloc >::iterator_base::bitblock_descr::ptr

Word pointer.

Definition at line 329 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

The documentation for this struct was generated from the following file:

- bm.h